=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2011-09-13 13:31:15 +0000
+++ bzrlib/tests/__init__.py	2011-09-14 16:38:55 +0000
@@ -1940,10 +1940,6 @@
         if not feature.available():
             raise UnavailableFeature(feature)
 
-    def enableI18n(self):
-        """Call this in tests which require i18n."""
-        self.overrideAttr(i18n, 'installed', self.i18nInstalled)
-
     def _run_bzr_autosplit(self, args, retcode, encoding, stdin,
             working_dir):
         """Run bazaar command line, splitting up a string command line."""

=== modified file 'bzrlib/tests/test_i18n.py'
--- bzrlib/tests/test_i18n.py	2011-09-14 16:31:57 +0000
+++ bzrlib/tests/test_i18n.py	2011-09-14 16:38:55 +0000
@@ -97,15 +97,18 @@
 
 class TestInstall(tests.TestCase):
 
+    def setUp(self):
+        super(TestInstall, self).setUp()
+        # Restore a proper env to test translation installation
+        self.overrideAttr(i18n, 'installed', self.i18nInstalled)
+        self.overrideAttr(i18n, '_translations', None)
+
     def test_custom_languages(self):
-        self.overrideAttr(i18n, '_translations', None)
         self.enableI18n()
         i18n.install('nl:fy')
         self.assertIsInstance(i18n._translations, i18n._gettext.NullTranslations)
 
     def test_no_env_variables(self):
-        self.overrideAttr(i18n, '_translations', None)
-        self.enableI18n()
         self.overrideEnv('LANGUAGE', None)
         self.overrideEnv('LC_ALL', None)
         self.overrideEnv('LC_MESSAGES', None)
@@ -114,7 +117,6 @@
         self.assertIsInstance(i18n._translations, i18n._gettext.NullTranslations)
 
     def test_disable_i18n(self):
-        self.overrideAttr(i18n, '_translations', None)
         i18n.disable_i18n()
         i18n.install()
         self.assertTrue(i18n._translations is None)

=== modified file 'doc/developers/testing.txt'
--- doc/developers/testing.txt	2011-09-13 13:31:42 +0000
+++ doc/developers/testing.txt	2011-09-14 16:38:55 +0000
@@ -756,9 +756,9 @@
 
 And check the output strings look like ``u"zz\xe5{{output}}"``.
 
-To test the gettext setup and usage you can run
-``TestCase.enableI18n()`` to temporarily reset ``i18n.install()`` back
-to using gettext.
+To test the gettext setup and usage you override i18n.installed back
+to self.i18nInstalled and _translations to None, see
+test_i18n.TestInstall.
 
 
 Testing deprecated code

